/*
	Copyright (C) 2020-2021 Reiko Asakura. All Rights Reserved.

	Music Premium
*/

#ifndef MODULE_H_
#define MODULE_H_

#include <taihen.h>

#define GET_EXPORT(modname, libnid, funcnid, func) get_export(modname, libnid, funcnid, func, #func)

#define GET_MODULE(pid, name, info) get_module(pid, name, info)

int get_export(const char *modname, uint32_t libnid, uint32_t funcnid, uintptr_t *func, const char *name);

int get_module(SceUID pid, const char *name, tai_module_info_t *info);

#endif
